org.firebirdsql.jdbc.field

## Class FBTimeTzField

- java.lang.Object
- - org.firebirdsql.jdbc.field.FBField
  - - org.firebirdsql.jdbc.field.FBTimeTzField

    public class FBTimeTzField
    extends FBField

Field for `TIME WITH TIME ZONE`.

Will always throw a `FBDriverNotCapableException` on construction as this type is not supported in Java 7 / JDBC 4.1.

Since:
  4.0
Author:
  Mark Rotteveel

### Field Summary

### Fields inherited from class org.firebirdsql.jdbc.field.FBField

`fieldDescriptor, gdsHelper, requiredType, scale`

### Method Summary

### Methods inherited from class org.firebirdsql.jdbc.field.FBField

`close, createField, getAlias, getArray, getBigDecimal, getBigDecimal, getBigInteger, getBinaryStream, getBlob, getBoolean, getByte, getBytes, getCharacterStream, getClob, getDatatypeCoder, getDate, getDate, getDecimal, getDecimal, getDouble, getFieldData, getFloat, getInt, getLong, getName, getObject, getObject, getObject, getObjectConverter, getRawDateTimeStruct, getRef, getRelationName, getRowId, getShort, getString, getTime, getTime, getTimestamp, getTimestamp, isInvertTimeZone, isNull, isType, setBigDecimal, setBigInteger, setBinaryStream, setBinaryStream, setBinaryStream, setBinaryStreamInternal, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setCharacterStreamInternal, setClob, setConnection, setDate, setDate, setDecimal, setDouble, setFieldData, setFloat, setInteger, setLong, setNull, setObject, setRawDateTimeStruct, setRequiredType, setRowId, setShort, setString, setTime, setTime, setTimestamp, setTimestamp`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`